Skip to main content
GET
/
activity_log_entries
List activity log entries
curl --request GET \
  --url https://api.calendly.com/activity_log_entries \
  --header 'Authorization: Bearer <token>'
{
  "collection": [
    {
      "uri": "<string>",
      "organization": "<string>",
      "action": "<string>",
      "actor": {},
      "details": {},
      "fully_qualified_name": "<string>",
      "namespace": "<string>",
      "occurred_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "count": 123,
    "next_page": "<string>",
    "previous_page": "<string>",
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://calendly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.1 with PKCE. Request the minimum scopes your integration needs. See the Scopes catalog for the full list.

Query Parameters

organization
string<uri>
required

URI of the organization.

action
string[]
actor
string<uri>
min_occurred_at
string<date-time>
max_occurred_at
string<date-time>
namespace
string
count
integer
default:20

Number of results to return per page (1-100).

Required range: 1 <= x <= 100
page_token
string

Opaque cursor for retrieving the next page of results.

sort
string

Field and direction to sort results by.

Response

OK

collection
object[]
pagination
object